<div class="login-box">
  <div class="login-logo">
    {{config.detail.companyShortName ? config.detail.companyShortName : config.detail.company}}
  </div>
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Você perdeu sua senha? Aqui você pode refazê-la facilmente.</p>

      <form [formGroup]="loginForm" (submit)="rememberPassword()" >
        <div *ngIf="context" class="input-group mb-3">
          <input type="hidden" formControlName="context" [value]="context.id">
          <input type="text" class="form-control" readonly [value]="context.description">
          <div class="input-group-append">
            <div class="input-group-text">
              <span [ngClass]="classIconContext"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="email" class="form-control" placeholder="Email" formControlName="username">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="row justify-content-end">
          <div class="col-12">
            <button type="submit" [disabled]="loginForm.invalid" class="btn btn-primary btn-block">Solicitar nova senha</button>
          </div>
        </div>
      </form>


      <p class="mt-3 mb-1">
        <a [routerLink]="loginRouter" >Login</a>
      </p>
      <!-- <p class="mb-0">
        <a href="register.html" class="text-center">Register a new membership</a>
      </p> -->
      <template-bs-alert [dismissible]="false" style="margin-top: 20px;" ></template-bs-alert>
    </div>
  </div>
</div>
